var svg = document.getElementById("svg");
var removeScroll = function(e) {
    var scrollTo = null;

    if (e.type == 'mousewheel') {
        scrollTo = (e.wheelDelta * -1);
    }
    else if (e.type == 'DOMMouseScroll') {
        scrollTo = 40 * e.detail;
    }

    if (scrollTo) {
        e.preventDefault();
        svg.scrollTop = scrollTo + svg .scrollTop;
    }
};
svg.addEventListener("mousewheel", removeScroll, false);
svg.addEventListener("DOMMouseScroll", removeScroll, false);